﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MultiPosts.ascx.cs" Inherits="UserCustom_MultiPosts" %>
<%@ Import Namespace="BlogEngine.Core" %>
<div class="multi-post" runat="server">
    <asp:Repeater ID="PostRepeater1" runat="server" >
        <ItemTemplate>
            <div class="multi-post-one">
                <% if (ShowTitle)
                    { %>
                <h2 id="mp-title" class="mp-title">
                    <asp:HyperLink ID="TitleLink" runat="server" NavigateUrl='<%#DataBinder.Eval(Container.DataItem, "AbsoluteLink") %>'
                        Text='<%#DataBinder.Eval(Container.DataItem, "Title") %>'></asp:HyperLink>
                </h2>
                <%  } %>
                <div class="mp-inner">
                <% if (ShowDate)
                   { %>
                    <span id="mpDate" class="mp-date" runat="server" visible="true">
                        <%#String.Format(DateFormat,DataBinder.Eval(Container.DataItem, "DateCreated"))%></span> 
                <% } %>
                <% if (ShowAuthor)
                   { %>
                    <span id="mpAuthor" class="mp-author" runat="server" visible="true">by:&nbsp;&nbsp;
                    <asp:HyperLink ID="AuthorLink" runat="server" 
                        NavigateUrl='<%#DataBinder.Eval(Container.DataItem, "AuthorAbsoluteLink") %>'
                        Text='<%#DataBinder.Eval(Container.DataItem, "Author") %>'></asp:HyperLink>
                        </span>
                <% } %>
                    <% if (ShowDescription)
                       { %>
                        <div class="mp-content">
                            <%#DataBinder.Eval(Container.DataItem, "Description") %>
                        </div>
                        <asp:HyperLink ID="MoreLink" runat="server" class="more" title="Read the entire article"
                        NavigateUrl='<%#DataBinder.Eval(Container.DataItem, "AbsoluteLink") %>'>[more]</asp:HyperLink>
                    <% } %>
                    <% if (ShowContent)
                       { %>
                        <div class="mp-content">
                            <%#DataBinder.Eval(Container.DataItem, "Content") %>
                        </div>
                    <% } %>
                    
                </div>
            </div>
        </ItemTemplate>
    </asp:Repeater>
</div>

